| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
SEGY::LoadDef Class Reference

definition for SEG-Y loading More...

`#include <segyuiscandata.h>`

Inheritance diagram for SEGY::LoadDef:
[legend]

## Public Member Functions
| LoadDef (bool is2d, bool forsurveysetup)
| LoadDef (const LoadDef &)
| ~LoadDef ()
bool | getData (od_istream &, char *, float *vals=0) const
void | getFilePars (FilePars &) const override
void | getFileReadOpts (FileReadOpts &) const
LoadDef | getPrepared (od_istream &) const
TrcHeader * | getTrace (od_istream &, char *, float *) const
void | getTrcInfo (TrcHeader &, SeisTrcInfo &, const OffsetCalculator &) const
ConstRefMan< Coords::CoordSystem > | getUserCoordSys () const
bool | needXY () const
LoadDef & | operator= (const LoadDef &)
void | reInit (bool is2d, bool alsohdef)
void | setUserCoordSys (const Coords::CoordSystem *crs)
bool | skipData (od_istream &) const
void | usePar (const IOPar &)
Public Member Functions inherited from SEGY::BasicFileInfo
| BasicFileInfo (bool is2d)
| BasicFileInfo (const BasicFileInfo &)
virtual | ~BasicFileInfo ()
int | bytesPerSample () const
DataCharacteristics | getDataChar () const
uiString | getFrom (od_istream &, bool &zinft, const bool *knownhdrswap=nullptr)
TrcHeader * | getTrcHdr (od_istream &) const
StepInterval< float > | getZRange () const
bool | goToTrace (od_istream &, od_stream_Pos, int) const
void | init (bool is2d)
bool | isRev0 () const
bool | isValid () const
int | nrTracesIn (const od_istream &, od_stream_Pos p=-1) const
BasicFileInfo & | operator= (const BasicFileInfo &)
int | traceDataBytes () const

## Public Attributes
float | coordscale_
bool | forsurveysetup_
bool | havetrcnrs_
TrcHeaderDef * | hdrdef_ = nullptr
FileReadOpts::ICvsXYType | icvsxytype_
SamplingData< float > | psoffsdef_
FileReadOpts::PSDefType | psoffssrc_
SamplingData< int > | trcnrdef_
bool | usezsamplinginfile_
Public Attributes inherited from SEGY::BasicFileInfo
int | binsr_
ConstRefMan< Coords::CoordSystem > | coordsystem_
bool | dataswapped_
short | format_
bool | hdrsswapped_
bool | is2d_
int | ns_
int | revision_
SamplingData< float > | sampling_
int | thdrns_
bool | useformatinfile_ = true
bool | usenrsampsinfile_ = true

## Protected Member Functions
const TrcHeaderDef & | getHDef () const override

## Protected Attributes
ConstRefMan< Coords::CoordSystem > | coordsys_

## Detailed Description

definition for SEG-Y loading

<>

## Constructor & Destructor Documentation

## ◆ LoadDef() [1/2]

SEGY::LoadDef::LoadDef | ( | bool | is2d,
|  | bool | forsurveysetup )

## ◆ LoadDef() [2/2]

SEGY::LoadDef::LoadDef | ( | const LoadDef & |  | ) |

## ◆ ~LoadDef()

SEGY::LoadDef::~LoadDef | ( |  | ) |

## Member Function Documentation

## ◆ getData()

bool SEGY::LoadDef::getData | ( | od_istream & | ,
|  | char * | ,
|  | float * | vals = 0 ) const

## ◆ getFilePars()

void SEGY::LoadDef::getFilePars | ( | FilePars & |  | ) | const
| override virtual

Reimplemented from SEGY::BasicFileInfo.

## ◆ getFileReadOpts()

void SEGY::LoadDef::getFileReadOpts | ( | FileReadOpts & |  | ) | const

## ◆ getHDef()

const TrcHeaderDef & SEGY::LoadDef::getHDef | ( |  | ) | const
| inline override protected virtual

Reimplemented from SEGY::BasicFileInfo.

## ◆ getPrepared()

LoadDef SEGY::LoadDef::getPrepared | ( | od_istream & |  | ) | const

## ◆ getTrace()

TrcHeader * SEGY::LoadDef::getTrace | ( | od_istream & | ,
|  | char * | ,
|  | float * | ) const

## ◆ getTrcInfo()

void SEGY::LoadDef::getTrcInfo | ( | TrcHeader & | ,
|  | SeisTrcInfo & | ,
|  | const OffsetCalculator & | ) const

## ◆ getUserCoordSys()

ConstRefMan< Coords::CoordSystem > SEGY::LoadDef::getUserCoordSys | ( |  | ) | const
| inline

## ◆ needXY()

bool SEGY::LoadDef::needXY | ( |  | ) | const

## ◆ operator=()

LoadDef & SEGY::LoadDef::operator= | ( | const LoadDef & |  | ) |

## ◆ reInit()

void SEGY::LoadDef::reInit | ( | bool | is2d,
|  | bool | alsohdef )

## ◆ setUserCoordSys()

void SEGY::LoadDef::setUserCoordSys | ( | const Coords::CoordSystem * | crs | ) |
| inline

## ◆ skipData()

bool SEGY::LoadDef::skipData | ( | od_istream & |  | ) | const

## ◆ usePar()

void SEGY::LoadDef::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ coordscale_

float SEGY::LoadDef::coordscale_

## ◆ coordsys_

ConstRefMan<Coords::CoordSystem> SEGY::LoadDef::coordsys_
| protected

## ◆ forsurveysetup_

bool SEGY::LoadDef::forsurveysetup_

## ◆ havetrcnrs_

bool SEGY::LoadDef::havetrcnrs_

## ◆ hdrdef_

TrcHeaderDef* SEGY::LoadDef::hdrdef_ = nullptr

## ◆ icvsxytype_

FileReadOpts::ICvsXYType SEGY::LoadDef::icvsxytype_

## ◆ psoffsdef_

SamplingData<float> SEGY::LoadDef::psoffsdef_

## ◆ psoffssrc_

FileReadOpts::PSDefType SEGY::LoadDef::psoffssrc_

## ◆ trcnrdef_

SamplingData<int> SEGY::LoadDef::trcnrdef_

## ◆ usezsamplinginfile_

bool SEGY::LoadDef::usezsamplinginfile_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025